# Bryan Schumaker (8/13/2010)

import datetime
now = datetime.datetime.now
__start__ = now()

import gtk
import gobject
gobject.threads_init()

import libsaria
__vers__  = "Ocarina %s" % libsaria.version.__vstr__

def uptime():
	return now() - __start__

def quit(window, event):
	gtk.main_quit()
	libsaria.shutdown()
	print "Ocarina ran for:", uptime()

import window
import playlist
import queue
import library
import settings
import callbacks

def run():
	import body
	body.footer.set_art("images/ocarina.png")
	libsaria.startup()
	print "Startup took:", uptime()
	gtk.main()
